#include "Maiden_struct.h"
#include "Constants.h"
#include <stdio.h>
#ifdef __APPLE__
#include "malloc.h"
#else
#include <malloc.h>
#endif

int transpiration(const param_struct *par, meteo_struct *meteo, water_struct *water, photo_struct *photo, radiation_struct *rad, int i)
{
	int ok=1;
	double gs_h2o_sun,gs_h2o_shade;
	double trans_sun,trans_shade;

	/* for sun leaf */
	gs_h2o_sun = 1.6 * photo->gs_c_sun[i];//mol m-2 s-1
	trans_sun = meteo->s_hum[i] * gs_h2o_sun / meteo->s_pa[i];//mol m-2 s-1
	water->trans_sun[i] = trans_sun * rad->plaisun[i] * meteo->s_dayl[i] * MW;//mm d-1

	// vpd est trop important certains jours !!!!!!

	/* for shade leaf */
	gs_h2o_shade = 1.6 * photo->gs_c_shade[i];//mol m-2 s-1
	trans_shade = meteo->s_hum[i] * gs_h2o_shade / meteo->s_pa[i];//mol m-2 s-1
	water->trans_shade[i] = trans_shade * rad->plaishade[i] * meteo->s_dayl[i] * MW;//mm d-1
	
	// vpd est trop important certains jours !!!!!!

	/* sun+shade leaf fraction integrated */
	water->ct[i] =  water->trans_sun[i] + water->trans_shade[i];

	return (!ok);
}


